Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.spi
Interface PortletInvocationContext

All Superinterfaces:
  InvocationContext

All Known Subinterfaces:
  ActionContext, RenderContext

All Known Implementing Classes:
  AbstractActionContext, AbstractPortletInvocationContext, AbstractRenderContext, ActionContextSupport, JSFActionContext, JSFRenderContext, PortletInvocationContextSupport, PortletInvocationFactory.ControllerActionContext, PortletInvocationFactory.ControllerRenderContext, RenderContextSupport, TestActionContext, TestRenderContext

    public interface PortletInvocationContext

extends InvocationContext

Contract that defines what input/services the caller of a portlet container must provide.

Version:
  $Revision: 5064 $
Author:
  Julien Viet

Method Summary
`java.lang.String` | `encodeResourceURL(java.lang.String url)` Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged.
`MarkupInfo` | `getMarkupInfo()` Return information about the underlying http wire this invocation is performed.
`Mode` | `getMode()` Returns the mode for this invocation.
`StateString` | `getNavigationalState()` Returns the navigational state for this invocation.
`WindowState` | `getWindowState()` Returns the window state for this invocation.
`java.lang.String` | `renderURL(PortletURL portletURL, java.lang.Boolean wantSecure, java.lang.Boolean wantAuthenticated, boolean relative)`

Methods inherited from interface org.jboss.portal.common.invocation.InvocationContext
`getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Method Detail

### getNavigationalState

    StateString getNavigationalState()

  Returns the navigational state for this invocation.

  Returns:
    the navigational state

### getMode

    Mode getMode()

  Returns the mode for this invocation.

  Returns:
    the mode

### getWindowState

    WindowState getWindowState()

  Returns the window state for this invocation.

  Returns:
    the window state

### getMarkupInfo

    MarkupInfo getMarkupInfo()

  Return information about the underlying http wire this invocation is performed.

  Returns:
    the stream info

### encodeResourceURL

    java.lang.String encodeResourceURL(java.lang.String url)
                                       throws java.lang.IllegalArgumentException

  Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged. The implementation of this method includes the logic to determine whether the session ID needs to be encoded in the URL. For example, if the browser supports cookies, or session tracking is turned off, URL encoding is unnecessary.

  For robust session tracking, all URLs emitted by a servlet should be run through this method. Otherwise, URL rewriting cannot be used with browsers which do not support cookies.

  Parameters:
    `url` - the url to be encoded
  Returns:
    the encoded URL if encoding is needed, the unchanged URL otherwise
  Throws:
    `java.lang.IllegalArgumentException` - if the url is not valid or null

### renderURL

    java.lang.String renderURL(PortletURL portletURL,
                               java.lang.Boolean wantSecure,
                               java.lang.Boolean wantAuthenticated,
                               boolean relative)

  Parameters:
    `portletURL` - the portlet url
    `wantSecure` -
    `wantAuthenticated` -
    `relative` -
  Returns:
    the url

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD